class AuthInitGenerator < Rails::Generators::Base
  source_root File.expand_path('templates', __dir__)
  def init
    inject_into_file 'app/controllers/application_controller.rb', after: /class ApplicationController < ActionController(.+)\n/ do <<-'RUBY'
  include TokenAuthBox::Middleware
  before_action :ensure_signed_in
    RUBY
    end

    inject_into_file 'config/routes.rb', after: "Rails.application.routes.draw do\n" do <<-'RUBY'
  mount TokenAuthBox::Engine => '/auth'
    RUBY
    end

    inject_into_file 'app/models/User.rb', after: "class User < ApplicationRecord\n" do <<-'RUBY'
    has_secure_password
    RUBY
    end
  end
end
