module TokenAuthBox
  module Middleware
    def ensure_signed_in
      begin
        token = get_header
        @user_data = JWT.decode(token, nil, false).first
      rescue
        render json: 'oopsie', status: :unauthorized
      end
    end

    private

    def get_header
      request.headers["authorization"].split(" ")[1]
    end
  end
end
